@charset "UTF-8";

$go-tree-lineheight: 28px !default;

// 默认不显示连接线
.go-tree {
	label {
		cursor: pointer;
		margin-bottom: 0;
	}
	.go-t-leaf {
		margin-left: $go-tree-lineheight;
	}
	.go-t-item {
		display: table;
		width: 100%;
		&:hover {
			background-color: $sys-brand-default-hover;
			color: #333;
		}
		.go-radio {
			margin: .3em 0;
		}
		.go-t-addon,
		.go-t-text {
			display: table-cell;
		}
		.go-t-addon {
			white-space: nowrap;
			width: $go-tree-lineheight;
			text-align: center;
			vertical-align: middle;
			input[type="radio"],
			input[type="checkbox"] {
				margin-top: 7px;
			}
		}
		.go-t-text {
			padding: 4px .5em;
			.form-control {
				display: inline-block;
				width: auto;
			}
		}
	}
}


//树级开关
.go-tree {
	.go-t-leaf {
		display: none;
	}
	&.open > li > .go-t-leaf, .go-t-leaf.open {
		display: block;
	}
	.go-t-item.open {
		+ .go-t-leaf {
			display: block;
		}
	}
}
